﻿using System.Web.Mvc;
using HandlingMVCFormData.Models;

namespace HandlingMVCFormData.Controllers
{
    [HandleError]
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewData["Message"] = "Welcome to ASP.NET MVC!";

            return View();
        }

        public ActionResult About()
        {
            return View();
        }

        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult DisplayUserData1()
        {
            string firstName = Request.Form["FirstName"];
            string middleName = Request.Form["MiddleName"];
            string lastName = Request.Form["LastName"];

            ViewData["FirstName"] = firstName;
            ViewData["MiddleName"] = middleName;
            ViewData["LastName"] = lastName;

            return View("DisplayUserData");
        }

        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult DisplayUserData2(string firstName,
            string middleName, string lastName)
        {
            ViewData["FirstName"] = firstName;
            ViewData["MiddleName"] = middleName;
            ViewData["LastName"] = lastName;

            return View("DisplayUserData");
        }

        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult DisplayUserData3(User user)
        {
            ViewData["FirstName"] = user.FirstName;
            ViewData["MiddleName"] = user.MiddleName;
            ViewData["LastName"] = user.LastName;

            return View("DisplayUserData");
        }
    }
}
